package acme

import io.smallrye.common.annotation.Blocking
import org.eclipse.microprofile.rest.client.inject.RestClient
import javax.enterprise.context.ApplicationScoped
import javax.ws.rs.GET
import javax.ws.rs.Path
import javax.ws.rs.Produces
import javax.ws.rs.core.MediaType

@Path("")
@ApplicationScoped
open class ReactiveGreetingResource(
        private val restTestClient: RestTestClient
) {

    @Blocking
    @Path("hello")
    @GET
    @Produces(MediaType.TEXT_PLAIN)
    open fun hello(): String = restTestClient.getSomething()
}
